This service will be undergoing maintenance at 03:30 UTC, 2016-05-27. It is expected to last about 2 hours
Bug 54679 - upgrading kernel fails
upgrading kernel fails
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-16 03:16 EDT by Mario Mikocevic
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-16 03:16:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mario Mikocevic 2001-10-16 03:16:50 EDT
Description of Problem:

upgrading from kernel-2.4.9-0.5 to kernel-2.4.9-0.18 fails !

Version-Release number of selected component (if applicable):


How Reproducible:

Always.

Steps to Reproduce:
1. 

rpm -ivh kernel-2.4.9-0.18.i686.rpm

2. 

rpm -e kernel-2.4.9-0.5

3. 

BANG!

Actual Results:

# rpm -e kernel-2.4.9-0.5       
error opening /boot/grub/grub.conf for read: No such file or directory
error: execution of %preun scriptlet from kernel-2.4.9-0.5 failed, exit
status 1


Expected Results:

No output.

Additional Information:

What a heck kernel needs grub, isn't a good ole LILO enough !?
Comment 1 Arjan van de Ven 2001-10-16 05:11:56 EDT
Our recent kernels support grub AND lilo, unfortionatly 2.4.9-0.5 had a bug in
that code...... should be fixed in 2.4.9-0.18

Note You need to log in before you can comment on or make changes to this bug.